<?php
include 'conectabanco.php';
$dataini = isset($_POST['dataini']) ? $_POST['dataini'] : '';
$datafim = isset($_POST['datafim']) ? $_POST['datafim'] : '';
?>
<html>
<head>
 <title>Consulta por Data</title>
 <h3>Consulta por período</h3>
</head>
<body>
 <form method="post">
 <label for="data">Selecione a dataini:</label>
 <input type="date" id="dataini" name="dataini" required>
 <label for="data">Selecione a datafim:</label>
 <input type="date" id="datafim" name="datafim" required>
 <button type="submit">Consultar</button>
 </form>
 <table border=2>
<tr>
<th>Id Leitura</th>
<th>MacId</th>
<th>Data Leitura</th>
<th>Hora Leitura</th>
<th>Valor</th>
</tr>
</html>

<?php
 if (!empty($dataini)) {
 $sql = "SELECT * FROM leitura WHERE dataleitura >= :dataini AND
dataleitura <=:datafim";
 $stmt = $conn->prepare($sql);
 $stmt->bindParam(':dataini', $dataini);
 $stmt->bindParam(':datafim', $datafim);
 $stmt->execute();
 $resultados = $stmt->fetchAll(PDO::FETCH_ASSOC);
 if ($resultados) {
    $contador=count($resultados);
    echo 'Resultados:' .$contador;
 foreach ($resultados as $row) {
    echo'<tr><td>'.($row['idleitura']).'</td>';
    echo'<td>'.($row['mac_idmac']).'</td>';
    echo'<td>'.($row['dataleitura']).'</td>';
    echo'<td>'.($row['horaleitura']).'</td>';
    echo'<td>'.($row['valor']).'</td></tr>';

 }echo'</table>';
 } else {
 echo "<p>Nenhum resultado encontrado.</p>";
 }
 }
 echo'<a href="logout.php">Sair</a>';
?>
